663 lines
Inkscape 0.92

(definitely not released yet - AnnouncePlanning092)

Release highlights

Released on «YYYY-MM-DD».

  • The new Object dialog allows to select, label, hide and lock any object in
    the drawing from a dialog that lists them all
  • Selection sets make it possible to 'group' objects together regardless of
    document structure
  • Guides can now be locked to avoid accidental movement
  • Several new path effects have been added, among them Envelope/Perspective,
    Lattice Deformation, Mirror and Rotate Copies
  • There are several new extensions (e.g. a seamless pattern extension) and a
    new filter (colorblindness simulation) included in the release, many old
    extensions have been updated or got new features
  • Many SVG2 and CSS3 properties are now supported for rendering (e.g.
    paint-order, mix-blend-mode)
  • Spray tool and measure tool received a set of nifty new features
  • Interactive smoothing for lines created with the Pencil tool
  • BSplines (and more) are available for the Pen tool
  • Checkerboard background can be used to more easily see object
    transparencies

[Please, if someone knows that any of these will not be in the release, remove
them from the list. Should we add the font features, too?]

Manipulating Objects

Objects Dialog

New dialog for manipulating the object tree.

  • Drag and drop reordering of objects.
  • Find, lock, and hide individual items.
  • Shows individual objects as well as layers.
  • Ability to change highlight color of objects.
  • Ability to set blend mode per object.

Imported from Ponyscape.

Selection Sets Dialog

New dialog that allows the creation of selection sets that are not affected by
document structure.

Usage:

  • Open Dialog with 'Object > Selection sets'

  • To create a new selection set:

 1. Click on the '+' button at the bottom of the dialog to create a new
    selection set (double-click on its label to edit)

  • To add objects to a selection set:

 1. select object on the canvas
 2. in the 'Selection sets' dialog click on the '+' icon before the selection
    set in the list

  • To select all objects of a selection set:

 1. deselect any existing selection and click on the selection set in the list

  • To remove an object from a selection set

 1. select the selection set in the dialog
 2. click on 'Items' to show all objects in the set
 3. select an object on the canvas or in the Items list in the dialog
 4. click on the 'Delete' icon (trashbin) before the object in the list

  • To delete a selection set, select it in the list and click on the '-'
    button at the bottom of the dialog

Text

Font Features

It is now possible to take advantage of OpenType tables to select alternative
glyphs from a font. Note that browser support is still limited. Inkscape must
also be linked with a recent version of the Pango library.

Vertical Text

Support for vertical text layout has been improved.

  • The default behavior for Latin bases glyphs has been changed. They are now
    rotated sideways as required by the SVG 1.1 standard.
  • Support for the CSS 3 'text-orientation' property has been added. (Note
    that this property is not yet fully supported by browsers.)
  • The CSS 3 values for the 'writing-mode' property are supported in
    rendering. Saving still uses the deprecated SVG 1.1 values.

Accessibility

Converting text to a path will save the text in the 'aria-label' attribute.
This is useful for accessibility and could eventually be used by Inkscape to
reconstruct the text.

Other

Line height setting now allows you to select a unit.

Live Path Effects

  • Now some suitable LPEs can be applied to clips and masks.
  • Helper lines come again to life.
  • The option to add a bend path directly was added to the pen/pencil shape
    combo box.

Spiro Live

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

Extended video: <https://www.youtube.com/watch?v=bFakiI5f0-Y>

Based upon Spiro Live Path Effect, now shows the result while drawing.

  • Cusp nodes can be created by holding down the Shift key.
  • When you append a path in cusp and Spiro mode, the helper preview path will
    be displayed.

Spirolive.gif

BSpline

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━

Extended video <https://www.youtube.com/watch?v=vwV0DHvA-OE>

Pen & Node mode

Uses the BSpline Live Path Effect while creating and editing paths.

  • Works with Pen and Pencil tool directly.
  • Create cusp nodes by holding down the Shift key (Pen/Bézier tool only).
  • When a path is appended, a preview helper path will also be shown.
  • Hold down Shift key and drag on a handle to change the weight of a bspline
    in node tool.
  • Custom weight steps are applied by holding CTRL down and dragging on a
    handle with the node tool (no Shift key required).
  • Double-click on a handle resets weight to default

Bspline.gif Bspline2.gif

Live Path Effect mode

Bspline3.gif
 

The options in the Live Path Effect dialog give you full control over bspline
paths.

  • Option to set to Default weight (0.3333 times curve segment)
  • Option to make nodes cusp
  • Numeric input for weight
  • Option to set number of Steps with CTRL to quickly snap the weight in node/
    handle editing
  • Apply changes if weight ... applies changes in the widgets to all nodes
    with weight == 0 or weight > 0 or both, for example, retains cusp nodes
    when you change the weight and have unselected "Apply changes if weight ==
    0".
  • Change only selected nodes applies to all other widgets changes.
  • Shows a helper path with the final shape and the generated new nodes.

Roughen

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Roughen.png
 

Extended video: https://www.youtube.com/watch?v=130Dbt0juvY

This path effect is a semi-clone of two extensions, ("add nodes" and "jitter
nodes") and handles units.

The parameters are similar to both extensions and adds a global randomizer.

  • Can be applied to paths, shapes and groups.
  • Can be applied to clips and masks, if they are vector objects.

Roughen.gif

Simplify

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Simplify.png
 

Extended video: https://www.youtube.com/watch?v=gaWujN_iTSk

Simplifies a vector element using a non-destructive live path effect.

  • Can be used on paths, shapes and groups of these.
  • Can be applied to clips and masks, if they are vector objects
  • The effect's threshold can be modified in the preferences dialog, by
    setting a numeric parameter.
  • Apply Simplify multiple times in the same LPE.

Simplify.gif

This path effect can optionally be applied directly via the pencil/freehand
drawing tool's tool bar when creating a new path. It then replaces the normal
smoothing (which would be a destructive operation).

Perspective/Envelope

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Perspective-envelope.png
 

Extended video: https://www.youtube.com/watch?v=CjKGatyxTZ8

Both deformations can be applied by specifying 4 points.

  • Two modes, perspective and envelope
  • Can be used on paths, shapes and groups.
  • Also works with vector clips and masks.

Perspective-envelope.gif

Lattice Deformation 2

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
Latice2.png
 

Extended video: https://www.youtube.com/watch?v=YlK9L88_tWE
Symmetry video: https://www.youtube.com/watch?v=jhuVjqFA6ig

  • Deforms an object by handles arranged in a mesh
  • Optionally deforms symmetrically along vertical or horizontal axis or both.
  • Can be applied to paths, shapes and groups.
  • Also works on vector clips and masks.

Latice2.gif

Show Handles

━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
ShowHandles.png
 

Extended video: https://www.youtube.com/watch?v=h9ul_PR9XYo

An LPE version of the Show Handles extension.

  • Works on paths, shapes and groups.
  • Works on clones.
  • Node and Handle shapes are resizeable
  • If not applied to a clone, this is a destructive LPE, it does not save
    styles, better work on a copy!

ShowHandles.gif

Transform by two points

TransformByTwoKnots.png
 

Extended video: https://www.youtube.com/watch?v=ZLmYdWoXXIw
Extended video (Elastic rubber): https://www.youtube.com/watch?v=lOWTeZC_LjM

Transforms an element by two control points (e.g. moving, skewing, resizing and
rotation). You can position the control points on the bounding box edge
midpoints or by the index of the nodes of the original path. Thanks to Ivan
Louette for the idea for this effect!

  • Works on paths, shapes. With groups you have limited features constrained
    to bounding box.
  • Allows snapping of both control points.
  • Allows to fix angle or distance.
  • Elastic mode to simulate a rubber band path.
  • Two bounding box edge midpoints can be used as control points if 'From
    original width' is active.

TransformByTwoKnots.gif

Rotate copies

File:RotateCopies.png
170px

Extended video (partial fuse path): https://www.youtube.com/watch?v=UpI8gRbkTu4
Extended video (live editing): https://www.youtube.com/watch?v=fBQpvfgT4mE
Extended video (kaleidoscope): https://www.youtube.com/watch?v=LfMixSKy3Eo

Arranges identical elements dynamically on an arc or circle.

  • Works on paths, shapes and groups of paths.
  • Allows to fuse the result to create kaleidoscope-like effects
  • Allows to arrange the copies on an arc when the 360° copies checkbox is not
    checked.
  • Live editing.

Mirror Symmetry

Extended video: https://www.youtube.com/watch?v=m1sj4AeU3Yo
Mirrors an item dynamically.

  • Works on paths, shapes and groups.
  • Allows to fuse the result.
  • Different mirror lines: Free, bounding box center X, bounding box center Y,
    Document center X, Document center Y.

Spray tool

Extended video 1 (No overlap): https://www.youtube.com/watch?v=uehj4ATOWos
Extended video 2 (No overlap multiple items): https://www.youtube.com/watch?v=
1eTG2U3qlb4
Extended video 3 (Over visible, pick color): https://www.youtube.com/watch?v=
aTdKu7mAZE8
Extended video 4 (Pressure): https://www.youtube.com/watch?v=kWdQnxd_z30
Extended video 5 (Trace -clones- dialog): https://www.youtube.com/watch?v=
Zn3vzf-yA_w
todo: a video showing all features joined

  • New eraser mode
  • More pressure toggles added
  • "No overlap" option with optional multiple elements
  • "No overlap" option between different background colors
  • Configurable offset for overlaps
  • Color picker from center or average area
  • Apply picked color to fill
  • Apply picked color to stroke
  • Invert picked colors
  • Spray over transparent background areas
  • Spray over non-transparent background areas
  • Makes use of "Trace the drawing" options from Tiled Clones dialog

Measure tool

Extended video: https://www.youtube.com/watch?v=OE0cVDGCzbM

  • Persistent measure
  • Reposition of origin/end
  • Convert to measure item
  • Convert to guides
  • Convert measure to quote
  • Reverse origin/end
  • Measure global
  • Measure only current layer
  • Add precision
  • Add scale

Align and Distribute

  • NEW: drop-down chooser with options to align nodes relative to each other
    in node editing mode.

File Format Support

  • The default PostScript level for exporting from the command line changes
    from 2 to 3 (consistent with the user interface PS exporter which defaults
    to level 3). Level 3 is required for gradient support.

Extensions

New

  • Render > Seamless Pattern (Screencast)
  • Images > Set Image Attributes (Bug #1357808)
  • Render > NiceCharts (github repo, not maintained)
  • Arrange > Deep Ungroup (Bug #171117)

Plotter Driver

Multiple Pens

The Plotter driver (Extensions -> Export -> Plot) can now handle multiple pens
to create colorful drawings on Pen Plotters:

  • Create a layer for every pen to use and move the corresponding drawings
    into it
  • Name the layer with a title like "Pen 1" or "MyLayerName Pen 1", where the
    number corresponds to the pen number the plotter should use
  • The layer name always overrides the standard pen setting in the plot menu

Serial Connection

The connection settings now allow you to specify rarely used serial connection
settings like byte size, stop bits and parity. Most plotters use the default
settings, so only change these if you know what you are doing.

HPGL Export

The HPGL export (File -> Save as -> HP Grafics Language file) has now the same
multiple pens feature as the #Plotter Driver.

HPGL Import

The HPGL import (File -> Open -> Select .hpgl file) can now import multiple
pens into corresponding layers, see #Plotter Driver for more information.

PDF Import

The image 'interpolate' value is now used to determine how to display bitmaps
(interpolated or blocky).

Miscellaneous Improvements

  • Arrange > Restack has new options to reverse and shuffle the z-order of
    selected objects.
  • Render > Random Tree has new option to omit redundant segments.
  • Visualize Path > Measure Path has additional text layout options.
  • Render > Barcode was updated with new EAN2 code and extended EAN13 with
    automatic EAN2 and EAN5 additions
  • Color > Randomize now allows to set the range for randomization, and (with
    some limits) can now also randomize opacity

Extension Development

  • It is now possible for an extension to retrieve a list of selected nodes
    (Bug #171287).

Filters

New

  • Color > Color Blindness filter allows to simulate different color blindness
    conditions.

Other dialogs

Document Properties: Licences

All selectable licences have been updated to most current version.

Filter Editor

Filter list now displays how often a filter is used.

Menus

  • 'Resize page to selection' added to Edit menu, shortcut: Shift+Ctrl+R

Other user interface

Node Snapping

Snapping in the node tool has been improved:

  • When double clicking to insert new nodes, the position of these new nodes
    will snap to for example path intersections and to path-guide intersections
  • When grabbing a segment of a path and dragging it to deform it, the pointer
    will now snap

Checkerboard Background

It is now possible to use a checkerboard background when editing. This allows
one to clearly see the transparency of objects.

View Box

One can now set the SVG 'viewBox' attribute from the GUI. This attribute sets
the scale of the drawing by determining the real-world value of the SVG user
unit (pixel size).

Lock Guides

Now guides can be locked and unlocked globally or individually.

SVG and CSS

  • The 'marker-orientation' property now recognizes units ('deg', 'rad',
    'grad' and 'turn').
  • The new SVG 2 'context-fill' and 'context-stroke' properties are
    implemented which allows the auto-matching of arrowhead fill color to path
    stroke color.
  • The new SVG 2 marker orientation attribute value 'auto-start-reverse' is
    implemented. This allows one arrow marker to be used for both ends of a
    path.
  • The new CSS 3 'mix-blend-mode' and 'isolation' properties are implemented,
    allowing setting the blend mode between objects without using filters.
  • The new SVG 2 'paint-order' property is now supported. This allows setting
    the order in which the fill, stroke, and markers are drawn (buttons will be
    available in the Fill and Stroke dialog).
  • The new SVG 2 'mesh' paint server is supported, including bicubic
    auto-smoothing. A primitive GUI is available.
  • The SVG 1.1 'text-decoration' property is now rendered (underlines, strike
    through, etc.). CSS 3 'text-decoration' properties are also rendered.
  • The new SVG 2 'hatch' paint server is now supported.
  • The CSS 'white-space' property is now supported. Use of this property was
    added in SVG 2 to replace the now deprecated 'xml;space' attribute.
  • The SVG 1.1 'textLength" and 'textAdjust' attributes are implemented,
    however, there is no GUI for these attributes.
  • Rendering of the Component Transfer filter primitive has been corrected.
  • Units are now recognized in the text and tspan 'x', 'y', 'dx', and 'dy'
    attributes.
  • Percentage values are now interpreted correctly for shapes.

New SVG 2 and CSS 3 features are generally not enabled in the GUI until
widespread support in browsers.

New dependencies

The Paintbucket and Trace Bitmap tools now use an external copy of the Potrace
library, which is available in many Linux distributions or can be obtained from
http://potrace.sourceforge.net


Translations

New UI translations for Assamese, Bodo, Dogri, Gujarati, Hindi, Kannada,
Kashmiri (Perso-Arabic and Devanagari), Kokani (Roman and Devanagari scripts),
Maithili, Malayalam, Manipuri (Meetei Mayek and Bengali scripts), Marathi,
Odia, Santali (Devnagari and Ol-Chiki scripts), Sanskrit, Sindhi, Tamil, Urdu
(Perso-Arabic and Devanagari scripts).

Notable Bugfixes

[Please fill in]

Known Issues

[ Please fill in - unit change, extension]


For information on prior releases, please see:
    http://wiki.inkscape.org/wiki/index.php/Inkscape
